### Method

# Gegl Matrix3originate

#### Declaration [src]

    void
    gegl_matrix3_originate (
      GeglMatrix3* matrix,
      gdouble x,
      gdouble y
    )

#### Description [src]

Shift the origin of the transformation specified by `matrix` to (`x`, `y`). In other words, calculate the matrix that:

1. Translates the input by (-`x`, -`y`).

2. Transforms the result using the original `matrix`.

3. Translates the result by (`x`, `y`).

#### Parameters

`x`

  Type: `gdouble`

  X coordinate of new origin.

`y`

  Type: `gdouble`

  Y coordinate of new origin.